org.vertx.java.core.http.impl.ws.hybi17

## Class HandshakeRFC6455

- java.lang.Object
- - org.vertx.java.core.http.impl.ws.hybi08.Handshake08
  - - org.vertx.java.core.http.impl.ws.hybi17.HandshakeRFC6455

All Implemented Interfaces:
  Handshake

    public class HandshakeRFC6455
    extends Handshake08

Handler for RFC6455.

### Field Summary

### Fields inherited from class org.vertx.java.core.http.impl.ws.hybi08.Handshake08

`challenge`

### Constructor Summary

Constructors
Constructor and Description
`HandshakeRFC6455()`

### Method Summary

Methods
`void` `fillInRequest(HttpClientRequest req, java.lang.String hostHeader)`
`org.jboss.netty.handler.codec.http.HttpResponse` `generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request, java.lang.String serverOrigin)`
`static boolean` `matches(org.jboss.netty.handler.codec.http.HttpRequest request)`

### Methods inherited from class org.vertx.java.core.http.impl.ws.hybi08.Handshake08

`getDecoder, getEncoder, getWebSocketLocation, onComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandshakeRFC6455

    public HandshakeRFC6455()
                     throws java.security.NoSuchAlgorithmException

Throws:
  `java.security.NoSuchAlgorithmException`

### Method Detail

#### matches

    public static boolean matches(org.jboss.netty.handler.codec.http.HttpRequest request)

#### fillInRequest

    public void fillInRequest(HttpClientRequest req,
                     java.lang.String hostHeader)
                       throws java.lang.Exception

Specified by:
  `fillInRequest` in interface `Handshake`
Overrides:
  `fillInRequest` in class `Handshake08`
Throws:
  `java.lang.Exception`

#### generateResponse

    public org.jboss.netty.handler.codec.http.HttpResponse generateResponse(org.jboss.netty.handler.codec.http.HttpRequest request,
                                                                   java.lang.String serverOrigin)
                                                                     throws java.lang.Exception

Specified by:
  `generateResponse` in interface `Handshake`
Overrides:
  `generateResponse` in class `Handshake08`
Throws:
  `java.lang.Exception`